# Uses of Class
javax.swing.JViewport

Packages that use JViewport
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of JViewport in javax.swing

Fields in javax.swing declared as JViewport
Modifier and Type
Field
Description
`protected JViewport`
ScrollPaneLayout.`colHead`
The column header child.
`protected JViewport`
JScrollPane.`columnHeader`
The column header child.
`protected JViewport`
ScrollPaneLayout.`rowHead`
The row header child.
`protected JViewport`
JScrollPane.`rowHeader`
The row header child.
`protected JViewport`
JScrollPane.`viewport`
The scrollpane's viewport child.
`protected JViewport`
ScrollPaneLayout.`viewport`
The scrollpane's viewport child.
`protected JViewport`
JScrollPane.AccessibleJScrollPane.`viewPort`
this `JScrollPane`'s current `JViewport`
Methods in javax.swing that return JViewport
Modifier and Type
Method
Description
`protected JViewport`
JScrollPane.`createViewport()`
Returns a new `JViewport` by default.
`JViewport`
JScrollPane.`getColumnHeader()`
Returns the column header.
`JViewport`
ScrollPaneLayout.`getColumnHeader()`
Returns the `JViewport` object that is the column header.
`JViewport`
JScrollPane.`getRowHeader()`
Returns the row header.
`JViewport`
ScrollPaneLayout.`getRowHeader()`
Returns the `JViewport` object that is the row header.
`JViewport`
JScrollPane.`getViewport()`
Returns the current `JViewport`.
`JViewport`
ScrollPaneLayout.`getViewport()`
Returns the `JViewport` object that displays the scrollable contents.
Methods in javax.swing with parameters of type JViewport
Modifier and Type
Method
Description
`static Component`
SwingUtilities.`getUnwrappedView(JViewport viewport)`
Returns the first `JViewport`'s descendant which is not an instance of `JLayer`.
`void`
JScrollPane.`setColumnHeader(JViewport columnHeader)`
Removes the old columnHeader, if it exists; if the new columnHeader isn't `null`, syncs the x coordinate of its viewPosition with the viewport (if there is one) and then adds it to the scroll pane.
`void`
JScrollPane.`setRowHeader(JViewport rowHeader)`
Removes the old rowHeader, if it exists; if the new rowHeader isn't `null`, syncs the y coordinate of its viewPosition with the viewport (if there is one) and then adds it to the scroll pane.
`void`
JScrollPane.`setViewport(JViewport viewport)`
Removes the old viewport (if there is one); forces the viewPosition of the new viewport to be in the +x,+y quadrant; syncs up the row and column headers (if there are any) with the new viewport; and finally syncs the scrollbars and headers with the new viewport.